LibreOffice: rtl/textcvt.h File Reference

LibreOffice LibreOffice 7.6 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Macros | Typedefs | Functions
textcvt.h File Reference
`#include "sal/config.h"`
`#include "rtl/textenc.h"`
`#include "sal/saldllapi.h"`
`#include "sal/types.h"`

Go to the source code of this file.

## Macros
#define | RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_ERROR ((sal_uInt32)0x0001)
#define | RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_IGNORE ((sal_uInt32)0x0002)
#define | RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_MAPTOPRIVATE ((sal_uInt32)0x0003)
#define | RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_DEFAULT ((sal_uInt32)0x0004)
#define | RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_ERROR ((sal_uInt32)0x0010)
#define | RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_IGNORE ((sal_uInt32)0x0020)
#define | RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_DEFAULT ((sal_uInt32)0x0030)
#define | RTL_TEXTTOUNICODE_FLAGS_INVALID_ERROR ((sal_uInt32)0x0100)
#define | RTL_TEXTTOUNICODE_FLAGS_INVALID_IGNORE ((sal_uInt32)0x0200)
#define | RTL_TEXTTOUNICODE_FLAGS_INVALID_DEFAULT ((sal_uInt32)0x0300)
#define | RTL_TEXTTOUNICODE_FLAGS_FLUSH ((sal_uInt32)0x8000)
#define | RTL_TEXTTOUNICODE_FLAGS_GLOBAL_SIGNATURE 0x10000
#define | RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_MASK ((sal_uInt32)0x000F)
#define | RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_MASK ((sal_uInt32)0x00F0)
#define | RTL_TEXTTOUNICODE_FLAGS_INVALID_MASK ((sal_uInt32)0x0F00)
#define | RTL_TEXTTOUNICODE_INFO_ERROR ((sal_uInt32)0x0001)
#define | RTL_TEXTTOUNICODE_INFO_SRCBUFFERTOSMALL ((sal_uInt32)0x0002)
#define | RTL_TEXTTOUNICODE_INFO_SRCBUFFERTOOSMALL ((sal_uInt32)0x0002)
#define | RTL_TEXTTOUNICODE_INFO_DESTBUFFERTOSMALL ((sal_uInt32)0x0004)
#define | RTL_TEXTTOUNICODE_INFO_DESTBUFFERTOOSMALL ((sal_uInt32)0x0004)
#define | RTL_TEXTTOUNICODE_INFO_UNDEFINED ((sal_uInt32)0x0008)
#define | RTL_TEXTTOUNICODE_INFO_MBUNDEFINED ((sal_uInt32)0x0010)
#define | RTL_TEXTTOUNICODE_INFO_INVALID ((sal_uInt32)0x0020)
#define | RTL_UNICODETOTEXT_FLAGS_UNDEFINED_ERROR ((sal_uInt32)0x0001)
#define | RTL_UNICODETOTEXT_FLAGS_UNDEFINED_IGNORE ((sal_uInt32)0x0002)
#define | RTL_UNICODETOTEXT_FLAGS_UNDEFINED_0 ((sal_uInt32)0x0003)
#define | RTL_UNICODETOTEXT_FLAGS_UNDEFINED_QUESTIONMARK ((sal_uInt32)0x0004)
#define | RTL_UNICODETOTEXT_FLAGS_UNDEFINED_UNDERLINE ((sal_uInt32)0x0005)
#define | RTL_UNICODETOTEXT_FLAGS_UNDEFINED_DEFAULT ((sal_uInt32)0x0006)
#define | RTL_UNICODETOTEXT_FLAGS_INVALID_ERROR ((sal_uInt32)0x0010)
#define | RTL_UNICODETOTEXT_FLAGS_INVALID_IGNORE ((sal_uInt32)0x0020)
#define | RTL_UNICODETOTEXT_FLAGS_INVALID_0 ((sal_uInt32)0x0030)
#define | RTL_UNICODETOTEXT_FLAGS_INVALID_QUESTIONMARK ((sal_uInt32)0x0040)
#define | RTL_UNICODETOTEXT_FLAGS_INVALID_UNDERLINE ((sal_uInt32)0x0050)
#define | RTL_UNICODETOTEXT_FLAGS_INVALID_DEFAULT ((sal_uInt32)0x0060)
#define | RTL_UNICODETOTEXT_FLAGS_UNDEFINED_REPLACE ((sal_uInt32)0x0100)
#define | RTL_UNICODETOTEXT_FLAGS_UNDEFINED_REPLACESTR ((sal_uInt32)0x0200)
#define | RTL_UNICODETOTEXT_FLAGS_PRIVATE_MAPTO0 ((sal_uInt32)0x0400)
#define | RTL_UNICODETOTEXT_FLAGS_NONSPACING_IGNORE ((sal_uInt32)0x0800)
#define | RTL_UNICODETOTEXT_FLAGS_CONTROL_IGNORE ((sal_uInt32)0x1000)
#define | RTL_UNICODETOTEXT_FLAGS_PRIVATE_IGNORE ((sal_uInt32)0x2000)
#define | RTL_UNICODETOTEXT_FLAGS_NOCOMPOSITE ((sal_uInt32)0x4000)
| has no effect
#define | RTL_UNICODETOTEXT_FLAGS_FLUSH ((sal_uInt32)0x8000)
#define | RTL_UNICODETOTEXT_FLAGS_GLOBAL_SIGNATURE 0x10000
#define | RTL_UNICODETOTEXT_FLAGS_UNDEFINED_MASK ((sal_uInt32)0x000F)
#define | RTL_UNICODETOTEXT_FLAGS_INVALID_MASK ((sal_uInt32)0x00F0)
#define | RTL_UNICODETOTEXT_INFO_ERROR ((sal_uInt32)0x0001)
#define | RTL_UNICODETOTEXT_INFO_SRCBUFFERTOSMALL ((sal_uInt32)0x0002)
#define | RTL_UNICODETOTEXT_INFO_DESTBUFFERTOSMALL ((sal_uInt32)0x0004)
#define | RTL_UNICODETOTEXT_INFO_UNDEFINED ((sal_uInt32)0x0008)
#define | RTL_UNICODETOTEXT_INFO_INVALID ((sal_uInt32)0x0010)

## Typedefs
typedef void * | rtl_TextToUnicodeConverter
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
typedef void * | rtl_TextToUnicodeContext
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
typedef void * | rtl_UnicodeToTextConverter
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
typedef void * | rtl_UnicodeToTextContext
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## Functions
SAL_DLLPUBLIC rtl_TextToUnicodeConverter | rtl_createTextToUnicodeConverter (rtl_TextEncoding eTextEncoding)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
SAL_DLLPUBLIC void | rtl_destroyTextToUnicodeConverter (rtl_TextToUnicodeConverter hConverter)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
SAL_DLLPUBLIC rtl_TextToUnicodeContext | rtl_createTextToUnicodeContext (rtl_TextToUnicodeConverter hConverter)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
SAL_DLLPUBLIC void | rtl_destroyTextToUnicodeContext (rtl_TextToUnicodeConverter hConverter, rtl_TextToUnicodeContext hContext)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
SAL_DLLPUBLIC void | rtl_resetTextToUnicodeContext (rtl_TextToUnicodeConverter hConverter, rtl_TextToUnicodeContext hContext)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
SAL_DLLPUBLIC sal_Size | rtl_convertTextToUnicode (rtl_TextToUnicodeConverter hConverter, rtl_TextToUnicodeContext hContext, const char *pSrcBuf, sal_Size nSrcBytes, sal_Unicode *pDestBuf, sal_Size nDestChars, sal_uInt32 nFlags, sal_uInt32 *pInfo, sal_Size *pSrcCvtBytes)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
SAL_DLLPUBLIC rtl_UnicodeToTextConverter | rtl_createUnicodeToTextConverter (rtl_TextEncoding eTextEncoding)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
SAL_DLLPUBLIC void | rtl_destroyUnicodeToTextConverter (rtl_UnicodeToTextConverter hConverter)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
SAL_DLLPUBLIC rtl_UnicodeToTextContext | rtl_createUnicodeToTextContext (rtl_UnicodeToTextConverter hConverter)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
SAL_DLLPUBLIC void | rtl_destroyUnicodeToTextContext (rtl_UnicodeToTextConverter hConverter, rtl_UnicodeToTextContext hContext)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
SAL_DLLPUBLIC void | rtl_resetUnicodeToTextContext (rtl_UnicodeToTextConverter hConverter, rtl_UnicodeToTextContext hContext)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html
SAL_DLLPUBLIC sal_Size | rtl_convertUnicodeToText (rtl_UnicodeToTextConverter hConverter, rtl_UnicodeToTextContext hContext, const sal_Unicode *pSrcBuf, sal_Size nSrcChars, char *pDestBuf, sal_Size nDestBytes, sal_uInt32 nFlags, sal_uInt32 *pInfo, sal_Size *pSrcCvtChars)
| see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## Macro Definition Documentation

## ◆ RTL_TEXTTOUNICODE_FLAGS_FLUSH

#define RTL_TEXTTOUNICODE_FLAGS_FLUSH ((sal_uInt32)0x8000)

## ◆ RTL_TEXTTOUNICODE_FLAGS_GLOBAL_SIGNATURE

#define RTL_TEXTTOUNICODE_FLAGS_GLOBAL_SIGNATURE 0x10000

## ◆ RTL_TEXTTOUNICODE_FLAGS_INVALID_DEFAULT

#define RTL_TEXTTOUNICODE_FLAGS_INVALID_DEFAULT ((sal_uInt32)0x0300)

## ◆ RTL_TEXTTOUNICODE_FLAGS_INVALID_ERROR

#define RTL_TEXTTOUNICODE_FLAGS_INVALID_ERROR ((sal_uInt32)0x0100)

## ◆ RTL_TEXTTOUNICODE_FLAGS_INVALID_IGNORE

#define RTL_TEXTTOUNICODE_FLAGS_INVALID_IGNORE ((sal_uInt32)0x0200)

## ◆ RTL_TEXTTOUNICODE_FLAGS_INVALID_MASK

#define RTL_TEXTTOUNICODE_FLAGS_INVALID_MASK ((sal_uInt32)0x0F00)

## ◆ RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_DEFAULT

#define RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_DEFAULT ((sal_uInt32)0x0030)

## ◆ RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_ERROR

#define RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_ERROR ((sal_uInt32)0x0010)

## ◆ RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_IGNORE

#define RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_IGNORE ((sal_uInt32)0x0020)

## ◆ RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_MASK

#define RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_MASK ((sal_uInt32)0x00F0)

## ◆ RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_DEFAULT

#define RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_DEFAULT ((sal_uInt32)0x0004)

## ◆ RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_ERROR

#define RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_ERROR ((sal_uInt32)0x0001)

## ◆ RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_IGNORE

#define RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_IGNORE ((sal_uInt32)0x0002)

## ◆ RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_MAPTOPRIVATE

#define RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_MAPTOPRIVATE ((sal_uInt32)0x0003)

## ◆ RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_MASK

#define RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_MASK ((sal_uInt32)0x000F)

## ◆ RTL_TEXTTOUNICODE_INFO_DESTBUFFERTOOSMALL

#define RTL_TEXTTOUNICODE_INFO_DESTBUFFERTOOSMALL ((sal_uInt32)0x0004)

## ◆ RTL_TEXTTOUNICODE_INFO_DESTBUFFERTOSMALL

#define RTL_TEXTTOUNICODE_INFO_DESTBUFFERTOSMALL ((sal_uInt32)0x0004)

## ◆ RTL_TEXTTOUNICODE_INFO_ERROR

#define RTL_TEXTTOUNICODE_INFO_ERROR ((sal_uInt32)0x0001)

## ◆ RTL_TEXTTOUNICODE_INFO_INVALID

#define RTL_TEXTTOUNICODE_INFO_INVALID ((sal_uInt32)0x0020)

## ◆ RTL_TEXTTOUNICODE_INFO_MBUNDEFINED

#define RTL_TEXTTOUNICODE_INFO_MBUNDEFINED ((sal_uInt32)0x0010)

## ◆ RTL_TEXTTOUNICODE_INFO_SRCBUFFERTOOSMALL

#define RTL_TEXTTOUNICODE_INFO_SRCBUFFERTOOSMALL ((sal_uInt32)0x0002)

## ◆ RTL_TEXTTOUNICODE_INFO_SRCBUFFERTOSMALL

#define RTL_TEXTTOUNICODE_INFO_SRCBUFFERTOSMALL ((sal_uInt32)0x0002)

## ◆ RTL_TEXTTOUNICODE_INFO_UNDEFINED

#define RTL_TEXTTOUNICODE_INFO_UNDEFINED ((sal_uInt32)0x0008)

## ◆ RTL_UNICODETOTEXT_FLAGS_CONTROL_IGNORE

#define RTL_UNICODETOTEXT_FLAGS_CONTROL_IGNORE ((sal_uInt32)0x1000)

## ◆ RTL_UNICODETOTEXT_FLAGS_FLUSH

#define RTL_UNICODETOTEXT_FLAGS_FLUSH ((sal_uInt32)0x8000)

## ◆ RTL_UNICODETOTEXT_FLAGS_GLOBAL_SIGNATURE

#define RTL_UNICODETOTEXT_FLAGS_GLOBAL_SIGNATURE 0x10000

## ◆ RTL_UNICODETOTEXT_FLAGS_INVALID_0

#define RTL_UNICODETOTEXT_FLAGS_INVALID_0 ((sal_uInt32)0x0030)

## ◆ RTL_UNICODETOTEXT_FLAGS_INVALID_DEFAULT

#define RTL_UNICODETOTEXT_FLAGS_INVALID_DEFAULT ((sal_uInt32)0x0060)

## ◆ RTL_UNICODETOTEXT_FLAGS_INVALID_ERROR

#define RTL_UNICODETOTEXT_FLAGS_INVALID_ERROR ((sal_uInt32)0x0010)

## ◆ RTL_UNICODETOTEXT_FLAGS_INVALID_IGNORE

#define RTL_UNICODETOTEXT_FLAGS_INVALID_IGNORE ((sal_uInt32)0x0020)

## ◆ RTL_UNICODETOTEXT_FLAGS_INVALID_MASK

#define RTL_UNICODETOTEXT_FLAGS_INVALID_MASK ((sal_uInt32)0x00F0)

## ◆ RTL_UNICODETOTEXT_FLAGS_INVALID_QUESTIONMARK

#define RTL_UNICODETOTEXT_FLAGS_INVALID_QUESTIONMARK ((sal_uInt32)0x0040)

## ◆ RTL_UNICODETOTEXT_FLAGS_INVALID_UNDERLINE

#define RTL_UNICODETOTEXT_FLAGS_INVALID_UNDERLINE ((sal_uInt32)0x0050)

## ◆ RTL_UNICODETOTEXT_FLAGS_NOCOMPOSITE

#define RTL_UNICODETOTEXT_FLAGS_NOCOMPOSITE ((sal_uInt32)0x4000)

has no effect

Deprecated

## ◆ RTL_UNICODETOTEXT_FLAGS_NONSPACING_IGNORE

#define RTL_UNICODETOTEXT_FLAGS_NONSPACING_IGNORE ((sal_uInt32)0x0800)

## ◆ RTL_UNICODETOTEXT_FLAGS_PRIVATE_IGNORE

#define RTL_UNICODETOTEXT_FLAGS_PRIVATE_IGNORE ((sal_uInt32)0x2000)

## ◆ RTL_UNICODETOTEXT_FLAGS_PRIVATE_MAPTO0

#define RTL_UNICODETOTEXT_FLAGS_PRIVATE_MAPTO0 ((sal_uInt32)0x0400)

## ◆ RTL_UNICODETOTEXT_FLAGS_UNDEFINED_0

#define RTL_UNICODETOTEXT_FLAGS_UNDEFINED_0 ((sal_uInt32)0x0003)

## ◆ RTL_UNICODETOTEXT_FLAGS_UNDEFINED_DEFAULT

#define RTL_UNICODETOTEXT_FLAGS_UNDEFINED_DEFAULT ((sal_uInt32)0x0006)

## ◆ RTL_UNICODETOTEXT_FLAGS_UNDEFINED_ERROR

#define RTL_UNICODETOTEXT_FLAGS_UNDEFINED_ERROR ((sal_uInt32)0x0001)

## ◆ RTL_UNICODETOTEXT_FLAGS_UNDEFINED_IGNORE

#define RTL_UNICODETOTEXT_FLAGS_UNDEFINED_IGNORE ((sal_uInt32)0x0002)

## ◆ RTL_UNICODETOTEXT_FLAGS_UNDEFINED_MASK

#define RTL_UNICODETOTEXT_FLAGS_UNDEFINED_MASK ((sal_uInt32)0x000F)

## ◆ RTL_UNICODETOTEXT_FLAGS_UNDEFINED_QUESTIONMARK

#define RTL_UNICODETOTEXT_FLAGS_UNDEFINED_QUESTIONMARK ((sal_uInt32)0x0004)

## ◆ RTL_UNICODETOTEXT_FLAGS_UNDEFINED_REPLACE

#define RTL_UNICODETOTEXT_FLAGS_UNDEFINED_REPLACE ((sal_uInt32)0x0100)

## ◆ RTL_UNICODETOTEXT_FLAGS_UNDEFINED_REPLACESTR

#define RTL_UNICODETOTEXT_FLAGS_UNDEFINED_REPLACESTR ((sal_uInt32)0x0200)

## ◆ RTL_UNICODETOTEXT_FLAGS_UNDEFINED_UNDERLINE

#define RTL_UNICODETOTEXT_FLAGS_UNDEFINED_UNDERLINE ((sal_uInt32)0x0005)

## ◆ RTL_UNICODETOTEXT_INFO_DESTBUFFERTOSMALL

#define RTL_UNICODETOTEXT_INFO_DESTBUFFERTOSMALL ((sal_uInt32)0x0004)

## ◆ RTL_UNICODETOTEXT_INFO_ERROR

#define RTL_UNICODETOTEXT_INFO_ERROR ((sal_uInt32)0x0001)

## ◆ RTL_UNICODETOTEXT_INFO_INVALID

#define RTL_UNICODETOTEXT_INFO_INVALID ((sal_uInt32)0x0010)

## ◆ RTL_UNICODETOTEXT_INFO_SRCBUFFERTOSMALL

#define RTL_UNICODETOTEXT_INFO_SRCBUFFERTOSMALL ((sal_uInt32)0x0002)

## ◆ RTL_UNICODETOTEXT_INFO_UNDEFINED

#define RTL_UNICODETOTEXT_INFO_UNDEFINED ((sal_uInt32)0x0008)

## Typedef Documentation

## ◆ rtl_TextToUnicodeContext

typedef void* rtl_TextToUnicodeContext

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_TextToUnicodeConverter

typedef void* rtl_TextToUnicodeConverter

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_UnicodeToTextContext

typedef void* rtl_UnicodeToTextContext

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_UnicodeToTextConverter

typedef void* rtl_UnicodeToTextConverter

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## Function Documentation

## ◆ rtl_convertTextToUnicode()

SAL_DLLPUBLIC sal_Size rtl_convertTextToUnicode | ( | rtl_TextToUnicodeConverter | hConverter,
|  | rtl_TextToUnicodeContext | hContext,
|  | const char * | pSrcBuf,
|  | sal_Size | nSrcBytes,
|  | sal_Unicode * | pDestBuf,
|  | sal_Size | nDestChars,
|  | sal_uInt32 | nFlags,
|  | sal_uInt32 * | pInfo,
|  | sal_Size * | pSrcCvtBytes )

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

Deviating from the linked specification, the behavior of RTL_TEXTTOUNICODE_FLAGS_UNDEFINED_ERROR, RTL_TEXTTOUNICODE_FLAGS_MBUNDEFINED_ERROR, and RTL_TEXTTOUNICODE_FLAGS_INVALID_ERROR is as follows: When RTL_TEXTTOUNICODE_FLAGS_FLUSH is not set, the erroneous input bytes are consumed as required by the linked specification. But if RTL_TEXTTOUNICODE_FLAGS_FLUSH is set, any of those erroneous input bytes that would have been consumed by this invocation of rtl_convertTextToUnicode (i.e., which had not already been captured in hContext from a previous invocation with RTL_TEXTTOUNICODE_FLAGS_FLUSH unset) are not consumed.

## ◆ rtl_convertUnicodeToText()

SAL_DLLPUBLIC sal_Size rtl_convertUnicodeToText | ( | rtl_UnicodeToTextConverter | hConverter,
|  | rtl_UnicodeToTextContext | hContext,
|  | const sal_Unicode * | pSrcBuf,
|  | sal_Size | nSrcChars,
|  | char * | pDestBuf,
|  | sal_Size | nDestBytes,
|  | sal_uInt32 | nFlags,
|  | sal_uInt32 * | pInfo,
|  | sal_Size * | pSrcCvtChars )

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_createTextToUnicodeContext()

SAL_DLLPUBLIC rtl_TextToUnicodeContext rtl_createTextToUnicodeContext | ( | rtl_TextToUnicodeConverter | hConverter | ) |

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_createTextToUnicodeConverter()

SAL_DLLPUBLIC rtl_TextToUnicodeConverter rtl_createTextToUnicodeConverter | ( | rtl_TextEncoding | eTextEncoding | ) |

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_createUnicodeToTextContext()

SAL_DLLPUBLIC rtl_UnicodeToTextContext rtl_createUnicodeToTextContext | ( | rtl_UnicodeToTextConverter | hConverter | ) |

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_createUnicodeToTextConverter()

SAL_DLLPUBLIC rtl_UnicodeToTextConverter rtl_createUnicodeToTextConverter | ( | rtl_TextEncoding | eTextEncoding | ) |

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_destroyTextToUnicodeContext()

SAL_DLLPUBLIC void rtl_destroyTextToUnicodeContext | ( | rtl_TextToUnicodeConverter | hConverter,
|  | rtl_TextToUnicodeContext | hContext )

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_destroyTextToUnicodeConverter()

SAL_DLLPUBLIC void rtl_destroyTextToUnicodeConverter | ( | rtl_TextToUnicodeConverter | hConverter | ) |

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_destroyUnicodeToTextContext()

SAL_DLLPUBLIC void rtl_destroyUnicodeToTextContext | ( | rtl_UnicodeToTextConverter | hConverter,
|  | rtl_UnicodeToTextContext | hContext )

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_destroyUnicodeToTextConverter()

SAL_DLLPUBLIC void rtl_destroyUnicodeToTextConverter | ( | rtl_UnicodeToTextConverter | hConverter | ) |

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_resetTextToUnicodeContext()

SAL_DLLPUBLIC void rtl_resetTextToUnicodeContext | ( | rtl_TextToUnicodeConverter | hConverter,
|  | rtl_TextToUnicodeContext | hContext )

see http://udk.openoffice.org/cpp/man/spec/textconversion.html

## ◆ rtl_resetUnicodeToTextContext()

SAL_DLLPUBLIC void rtl_resetUnicodeToTextContext | ( | rtl_UnicodeToTextConverter | hConverter,
|  | rtl_UnicodeToTextContext | hContext )

see http://udk.openoffice.org/cpp/man/spec/textconversion.html